Can't install openjdk-6-jdk on bubba2

Got problems with your B2 or B3? Share and get helped!
Post Reply
JanPihlgren
Posts: 26
Joined: 23 Mar 2009, 01:16

Can't install openjdk-6-jdk on bubba2

Post by JanPihlgren » 04 Dec 2012, 05:12

I'm using bubba2 and logged in as root and then tried to install openjdk-6-jdk.

Code: Select all

 apt-get install openjdk-6-jdk
But get the messages:
E: Couldn't find package openjdk-6-jdk
What do I have to do to install development program to do some programmng in java?

RandomUsername
Posts: 904
Joined: 09 Oct 2009, 18:49

Re: Can't install openjdk-6-jdk on bubba2

Post by RandomUsername » 04 Dec 2012, 10:19

Can someone move this to the right thread?

To answer the question, try this command first:

Code: Select all

change_distribution -unc elvin
Assuming you're running the latest software release.

JanPihlgren
Posts: 26
Joined: 23 Mar 2009, 01:16

Re: Can't install openjdk-6-jdk on bubba2

Post by JanPihlgren » 04 Dec 2012, 10:42

This is the answer I get:
bubbatwo:/home/jan# change_distribution -unc elvin
Distribution 'elvin' is not valid.
Usage:
change_distribution [options] distribution ...

RandomUsername
Posts: 904
Joined: 09 Oct 2009, 18:49

Re: Can't install openjdk-6-jdk on bubba2

Post by RandomUsername » 04 Dec 2012, 13:41

OK, I guess you're running an old version. Someone else will need to tell you what distribution you need it just manually edit /etc/apt/sources.list to include the Debian repos.

eramoli
Posts: 67
Joined: 15 Oct 2010, 13:06
Location: Sundbyberg, Sweden

Re: Can't install openjdk-6-jdk on bubba2

Post by eramoli » 05 Dec 2012, 15:02

Hi,

On http://wiki.excito.org/wiki/index.php/C ... ces_easier you can see that on Bubba 2 you should use marielle instead of elvin.

Hope it helps

/Morgan

JanPihlgren
Posts: 26
Joined: 23 Mar 2009, 01:16

Re: Can't install openjdk-6-jdk on bubba2

Post by JanPihlgren » 05 Dec 2012, 20:17

Margan.
It helps me a bit further but now I get the following message:

Code: Select all

E: Couldn't find package openjdk-6-jdk
When I try

Code: Select all

apt-cache search java 
I get the following message:

Code: Select all

W: Couldn't stat source package list http://ftp.se.debian.org etch/main Packages (/var/lib/apt/lists/ftp.se.debian.org_debian_dists_etch_main_binary-powerpc_Packages) - stat (2 No such file or directory)
Where do I found a list of packages that is available?

eramoli
Posts: 67
Joined: 15 Oct 2010, 13:06
Location: Sundbyberg, Sweden

Re: Can't install openjdk-6-jdk on bubba2

Post by eramoli » 10 Dec 2012, 18:17

Hi Jan,

I would try the following sequence on your B2

Code: Select all

change_distribution -sunc elvin
apt-get update
This will repoint your database and update the local "cache"

You should then try the apt-get command.

Code: Select all

apt-get install openjdk-6-jdk
If the apt-get update did not enable the jdk package you can search all packeges using the folloing command.

Code: Select all

aptitude
NOTE: There are a lot of packages :-)

The command will show you all packages that contain the word java

Code: Select all

aptitude search java
Good hunting!

/Morgan

JanPihlgren
Posts: 26
Joined: 23 Mar 2009, 01:16

Re: Can't install openjdk-6-jdk on bubba2

Post by JanPihlgren » 10 Dec 2012, 22:07

Sorry Morgan.
This is what's happend:

Code: Select all

bubbatwo:/home/jan# change_distribution -sunc elvin
Distribution 'elvin' is not valid.
Usage:
    change_distribution [options] distribution ...

     Options:
       --upstream, -u           include upstream in sources.list
       --source, -s             include source packages in sources.list
       --nonfree, -n            include upstream non free sources
       --contrib, -c            include upstream contrib sources
       --help, -h               show brief help
       --man, -m                display manual
bubbatwo:/home/jan#
Then I tried this:

Code: Select all

bubbatwo:/home/jan# apt-get update
Get:1 http://update.excito.org marielle Release.gpg [189B]
Get:2 http://update.excito.org upstream_etch Release.gpg [189B]
Hit http://update.excito.org marielle Release  
Hit http://update.excito.org upstream_etch Release                 
Ign http://update.excito.org marielle/main Packages/DiffIndex      
Ign http://update.excito.org upstream_etch/main Packages/DiffIndex
Hit http://update.excito.org marielle/main Packages
Ign http://ftp.se.debian.org etch Release.gpg
Ign http://ftp.se.debian.org etch Release
Err http://ftp.se.debian.org etch/main Packages
  404 Not Found [IP: 130.239.18.137 80]
Hit http://update.excito.org upstream_etch/main Packages
Fetched 2B in 1s (2B/s)
Failed to fetch http://ftp.se.debian.org/debian/dists/etch/main/binary-powerpc/Packages.gz  404 Not Found [IP: 130.239.18.137 80]
Reading package lists... Done
W: Couldn't stat source package list http://ftp.se.debian.org etch/main Packages (/var/lib/apt/lists/ftp.se.debian.org_debian_dists_etch_main_binary-powerpc_Packages) - stat (2 No such file or directory)
W: You may want to run apt-get update to correct these problems
E: Some index files failed to download, they have been ignored, or old ones used instead.
bubbatwo:/home/jan#
Andt tthe last I did was this:

Code: Select all

bubbatwo:/home/jan# aptitude search java
v   java-compiler                                            -
v   java-runtime                                             -
v   java-virtual-machine                                     -
v   java1-runtime                                            -
v   java2-runtime                                            -
v   libdb-java                                               -
v   libdb-java-dev                                           -
p   libdb4.2-java                                            - Berkeley v4.2 Database Libraries for Java
p   libdb4.2-java-dev                                        - Berkeley v4.2 Database Libraries for Java [development]
p   libdb4.3-java                                            - Berkeley v4.3 Database Libraries for Java
p   libdb4.3-java-dev                                        - Berkeley v4.3 Database Libraries for Java [development]
p   libdb4.4-java                                            - Berkeley v4.4 Database Libraries for Java
p   libdb4.4-java-dev                                        - Berkeley v4.4 Database Libraries for Java [development]
p   libmozillainterfaces-java                                - XPCOM bindings for Java
p   libsvn-java                                              - Java bindings for Subversion
p   libsvn-javahl                                            - Java bindings for Subversion (dummy package)
p   slice2java                                               - Slice to Java translator
bubbatwo:/home/jan#
For some reason there have been some changes of repositories or the repositories are not holding any package of openjdk.

eramoli
Posts: 67
Joined: 15 Oct 2010, 13:06
Location: Sundbyberg, Sweden

Can't install openjdk-6-jdk on bubba2

Post by eramoli » 11 Dec 2012, 10:02

Hi Jan,

Sorry, you should use marielle, not elvin, see link in my first post.

What version of the bubba 2 sw are you using?

Morgan

JanPihlgren
Posts: 26
Joined: 23 Mar 2009, 01:16

Re: Can't install openjdk-6-jdk on bubba2

Post by JanPihlgren » 11 Dec 2012, 10:54

sofware version 2.0.5
No luck this time either.
This is the output:

Code: Select all

bubbatwo:/home/jan# change_distribution -sunc marielle
bubbatwo:/home/jan#

Code: Select all

bubbatwo:/home/jan# apt-get update
Get:1 http://update.excito.org marielle Release.gpg [189B]
Ign http://ftp.se.debian.org etch Release.gpg         
Get:2 http://update.excito.org upstream_etch Release.gpg [189B]
Ign http://ftp.se.debian.org etch Release
Hit http://update.excito.org marielle Release
Err http://ftp.se.debian.org etch/main Packages
  404 Not Found [IP: 130.239.18.137 80]
Hit http://update.excito.org upstream_etch Release
Err http://ftp.se.debian.org etch/non-free Packages
  404 Not Found [IP: 130.239.18.137 80]
Err http://ftp.se.debian.org etch/contrib Packages
  404 Not Found [IP: 130.239.18.137 80]
Err http://ftp.se.debian.org etch/main Sources
  404 Not Found [IP: 130.239.18.137 80]
Err http://ftp.se.debian.org etch/non-free Sources
  404 Not Found [IP: 130.239.18.137 80]
Err http://ftp.se.debian.org etch/contrib Sources
  404 Not Found [IP: 130.239.18.137 80]
Ign http://update.excito.org marielle/main Packages/DiffIndex
Get:3 http://update.excito.org marielle/main Sources [70.4kB]
Hit http://update.excito.org marielle/main Packages
Ign http://update.excito.org upstream_etch/main Packages/DiffIndex
Get:4 http://update.excito.org upstream_etch/main Sources [91.9kB]
Hit http://update.excito.org upstream_etch/main Packages
Fetched 162kB in 1s (158kB/s)
Failed to fetch http://ftp.se.debian.org/debian/dists/etch/main/binary-powerpc/Packages.gz  404 Not Found [IP: 130.239.18.137 80]
Failed to fetch http://ftp.se.debian.org/debian/dists/etch/non-free/binary-powerpc/Packages.gz  404 Not Found [IP: 130.239.18.137 80]
Failed to fetch http://ftp.se.debian.org/debian/dists/etch/contrib/binary-powerpc/Packages.gz  404 Not Found [IP: 130.239.18.137 80]
Failed to fetch http://ftp.se.debian.org/debian/dists/etch/main/source/Sources.gz  404 Not Found [IP: 130.239.18.137 80]
Failed to fetch http://ftp.se.debian.org/debian/dists/etch/non-free/source/Sources.gz  404 Not Found [IP: 130.239.18.137 80]
Failed to fetch http://ftp.se.debian.org/debian/dists/etch/contrib/source/Sources.gz  404 Not Found [IP: 130.239.18.137 80]
Reading package lists... Done
W: Couldn't stat source package list http://ftp.se.debian.org etch/main Packages (/var/lib/apt/lists/ftp.se.debian.org_debian_dists_etch_main_binary-powerpc_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://ftp.se.debian.org etch/non-free Packages (/var/lib/apt/lists/ftp.se.debian.org_debian_dists_etch_non-free_binary-powerpc_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://ftp.se.debian.org etch/contrib Packages (/var/lib/apt/lists/ftp.se.debian.org_debian_dists_etch_contrib_binary-powerpc_Packages) - stat (2 No such file or directory)
W: You may want to run apt-get update to correct these problems
E: Some index files failed to download, they have been ignored, or old ones used instead.

Code: Select all

bubbatwo:/home/jan# apt-get install openjdk-6-jdk
Reading package lists... Done
Building dependency tree... Done
W: Couldn't stat source package list http://ftp.se.debian.org etch/main Packages (/var/lib/apt/lists/ftp.se.debian.org_debian_dists_etch_main_binary-powerpc_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://ftp.se.debian.org etch/non-free Packages (/var/lib/apt/lists/ftp.se.debian.org_debian_dists_etch_non-free_binary-powerpc_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://ftp.se.debian.org etch/contrib Packages (/var/lib/apt/lists/ftp.se.debian.org_debian_dists_etch_contrib_binary-powerpc_Packages) - stat (2 No such file or directory)
W: You may want to run apt-get update to correct these problems
E: Couldn't find package openjdk-6-jdk
bubbatwo:/home/jan#

Code: Select all

bubbatwo:/home/jan# aptitude search java
v   java-compiler                           -
v   java-runtime                            -
v   java-virtual-machine                    -
v   java1-runtime                           -
v   java2-runtime                           -
v   libdb-java                              -
v   libdb-java-dev                          -
p   libdb4.2-java                           - Berkeley v4.2 Database Libraries for Java
p   libdb4.2-java-dev                       - Berkeley v4.2 Database Libraries for Java [develo
p   libdb4.3-java                           - Berkeley v4.3 Database Libraries for Java
p   libdb4.3-java-dev                       - Berkeley v4.3 Database Libraries for Java [develo
p   libdb4.4-java                           - Berkeley v4.4 Database Libraries for Java
p   libdb4.4-java-dev                       - Berkeley v4.4 Database Libraries for Java [develo
p   libmozillainterfaces-java               - XPCOM bindings for Java
p   libsvn-java                             - Java bindings for Subversion
p   libsvn-javahl                           - Java bindings for Subversion (dummy package)
p   slice2java                              - Slice to Java translator
bubbatwo:/home/jan#

ryz
Posts: 183
Joined: 12 Feb 2009, 06:03

Re: Can't install openjdk-6-jdk on bubba2

Post by ryz » 11 Dec 2012, 15:09

The problem is that you are on an old B2 version which is built of an now unsupported version of Debian. Se this post for more information.

So your alternative seems to be to either edit your /etc/apt/sources.list by hand. That is changing http://ftp.se.debian.org/debian
to
http://archive.debian.org/debian/

Or doing an upgrade to an later version (at least 2.4) of the B2 which is built on an newer version of Debian. Note that you can not do an upgrade from 2.05 to 2.4 and later versions, you have to do an new install see this post for more information.

JanPihlgren
Posts: 26
Joined: 23 Mar 2009, 01:16

Re: Can't install openjdk-6-jdk on bubba2

Post by JanPihlgren » 11 Dec 2012, 21:20

No success.
The same result.
As I understand your advice to do an upgrad will swip out all my data? If so this is no option because the CPU is so slow that it is so timeconsuming that taking a backup will take a day or two.
I have to live with the situation that I can't install openjdk. :cry:

ryz
Posts: 183
Joined: 12 Feb 2009, 06:03

Re: Can't install openjdk-6-jdk on bubba2

Post by ryz » 12 Dec 2012, 05:23

If you have succesfully changed the source.list the errors
Err http://ftp.se.debian.org etch/main Packages
404 Not Found [IP: 130.239.18.137 80]
should have disappeared when doing an apt-get update.

According to this page you should use default-jre or default-jdk to install java in Debian.

If you do want to upgrade your system you can do so and still keeping the all data under /home which should most likely be all private data. Se the section What if I don't want to delete all my user data? in the re-install wiki

Note that I have not installed java myself on the B2 but it seems that there should be some java package compiled for the powerpc platform which the B2 is built upon.

JanPihlgren
Posts: 26
Joined: 23 Mar 2009, 01:16

Re: Can't install openjdk-6-jdk on bubba2

Post by JanPihlgren » 12 Dec 2012, 06:16

:oops:
Former change of sources.list has failed.When used nano to do the change to archive.debian.org result is that
apte-get update run successfully.
When run apt-get update the source.list will change back to ftp.se.....
I change sources.list again and didn't run apt-get update
When I run aptitude search java I found:
java-package which installed successfully.
free-java-sdk which installed successfully.

As I understand I can now compile javaprogram so now I have to discover how use Java in Bubba 2.
Thanks for help and hints. :)

Nrde
Posts: 75
Joined: 17 Nov 2010, 06:41

Re: Can't install openjdk-6-jdk on bubba2

Post by Nrde » 12 Dec 2012, 08:57

JanPihlgren wrote: As I understand your advice to do an upgrad will swip out all my data?
No, but you have to edit installers config file according to instructions.

Post Reply